"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.text = {
    color: (value) => {
        if (value.includes('inherit') || value.includes('initial')) {
            return 'I:';
        }
    },
    'line-height': '',
    'text-align': (value, declaration, addDeclaration) => {
        addDeclaration('align-items', 'center');
        addDeclaration('justify-content', 'center');
        if (~value.indexOf('justify')) {
            return 'I:';
        }
    },
    'text-decoration': (value, declaration, addDeclaration) => {
        if (['none', 'underline', 'line-through'].indexOf(value) === -1) {
            if (value.includes('none')) {
                addDeclaration('text-decoration', 'none');
            }
            if (value.includes('underline')) {
                addDeclaration('text-decoration', 'underline');
            }
            if (value.includes('line-through')) {
                addDeclaration('text-decoration', 'line-through');
            }
            return 'I:';
        }
    },
    'text-overflow': (value, declaration, addDeclaration) => {
        if (value) {
            addDeclaration('lines', '1');
        }
    },
    'text-decoration-color': 'I:',
    'text-decoration-line': 'I:',
    'text-decoration-style': 'I:',
    'word-break': 'I:',
    'white-space': 'I:',
    'word-wrap': 'I:',
    'text-align-last': 'I:',
    'line-clamp': 'I:',
};
