"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const node_util_1 = require("../../util/node-util");
const attrMap = {
    'indicator-dots': 'indicator',
    'indicator-color': 'STYLE:indicator-color',
    'indicator-active-color': 'STYLE:indicator-selected-color',
    'autoplay': 'autoplay',
    'current': 'index',
    'current-item-id': 'E:请在转换后的swiper组件中配置`index`属性替换',
    'interval': 'interval',
    'duration': 'I:',
    'circular': 'I:',
    'vertical': 'I:启用横向滚动替换',
    'previous-margin': 'I:',
    'next-margin': 'I:',
    'display-multiple-items': 'I:',
    'skip-hidden-item-layout': 'I:',
};
function default_1(node, output) {
    node.name = 'swiper';
    const indicator = node_util_1.getAttr(node, 'indicator-dots');
    if (!indicator) {
        node_util_1.setAttr(node, 'indicator-dots', 'false');
    }
    node_util_1.handleAttributes(node, attrMap, output);
}
exports.default = default_1;
