/**
 * https://doc.quickapp.cn/features/system/record.html
 * @param params
 */
export function startRecord(params) {
  params.format = 'amr_nb';
  const o = params.success;
  params.success = data => {
    console.log(data);
    o({
      tempFilePath: data.uri,
    });
  };
  require('@system.record').start(params);
}

export function stopRecord() {
  require('@system.record').stop();
}

/**
 * https://doc.quickapp.cn/features/system/audio.html
 * @param params
 */
export function playVoice(params) {
  const audioSrc = params.filePath;
  console.log('audio src', audioSrc);
  const audio = require('@system.audio');
  audio.src = audioSrc;
  audio.onended = params.success;
  audio.play();
}

export function stopVoice() {
  const audio = require('@system.audio');
  audio.stop();
}
