"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dimension = {
    height: (value, declaration, addDeclaration) => {
        if (value.includes('auto') || value.includes('inherit')) {
            addDeclaration('display', 'flex');
            return 'I:';
        }
        if (parseInt(value, 10) === 0) {
            addDeclaration('display', 'none');
            return 'I:';
        }
        return '';
    },
    'max-height': 'I:',
    'max-width': 'I:',
    'min-height': 'I:',
    'min-width': 'I:',
    width: (value, declaration, addDeclaration) => {
        if (value.includes('auto') || value.includes('inherit')) {
            addDeclaration('display', 'flex');
            return 'I:';
        }
        if (parseInt(value, 10) === 0) {
            addDeclaration('display', 'none');
            return 'I:';
        }
        return '';
    },
};
