"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.font = {
    'font-size': (value, declaration) => {
        if (value.includes('inherit')) {
            return 'I:';
        }
        if (value.includes('pt')) {
            declaration.value = declaration.value.replace('pt', 'px');
        }
    },
    'font-weight': (value, declaration) => {
        if (+value === 400) {
            declaration.value = 'normal';
        }
        else if (+value > 400) {
            declaration.value = 'bold';
        }
        else {
            return 'I:';
        }
    },
    'font-style': (value, declaration, addDeclaration) => {
        const v = ['normal', 'italic'];
        if (!v.includes(value)) {
            addDeclaration('font-style', 'normal');
            return 'I:';
        }
    },
    'font-family': 'I:',
    'font-variant': 'I:',
    font: 'I:',
};
