"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const nameList = ['translate', 'translateX', 'translateY', 'scale', 'scaleX', 'scaleY', 'rotate', 'rotateX', 'rotateY'];
exports.transform = {
    transform: (value, declaration, addDeclaration) => {
        const arr = value.match(/\w+\(.*?\)/g) || [];
        if (arr.length >= 2) {
            arr.map((v) => {
                const name = v.match(/\w+/)[0];
                if (!!~nameList.indexOf(name)) {
                    addDeclaration('transform', v);
                }
                if (~v.indexOf('%')) {
                    return 'I:';
                }
            });
            return 'I:';
        }
        else {
            const name = value.match(/\w+/)[0];
            if (!~nameList.indexOf(name)) {
                return 'I:';
            }
            if (~value.indexOf('%')) {
                return 'I:';
            }
        }
    },
    'transform-origin': '',
};
