"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const view_1 = require("./view/view");
const scroll_view_1 = require("./view/scroll-view");
const swiper_1 = require("./view/swiper");
const swiper_item_1 = require("./view/swiper-item");
const cover_view_1 = require("./view/cover-view");
const movable_view_1 = require("./view/movable-view");
const icon_1 = require("./basic/icon");
const progress_1 = require("./basic/progress");
const rich_text_1 = require("./basic/rich-text");
const text_1 = require("./basic/text");
const navigator_1 = require("./navigator/navigator");
const button_1 = require("./form/button");
const audio_1 = require("./media/audio");
const checkbox_group_1 = require("./form/checkbox-group");
const checkbox_1 = require("./form/checkbox");
const form_1 = require("./form/form");
const radio_1 = require("./form/radio");
const radio_group_1 = require("./form/radio-group");
const label_1 = require("./form/label");
const video_1 = require("./media/video");
const picker_1 = require("./form/picker");
const modal_1 = require("./modal/modal");
const contact_button_1 = require("./form/contact-button");
const nodeRulesMap = {
    'view': view_1.default,
    'scroll-view': scroll_view_1.default,
    'swiper': swiper_1.default,
    'swiper-item': swiper_item_1.default,
    'cover-view': cover_view_1.default,
    'movable-view': movable_view_1.default,
    'icon': icon_1.default,
    'progress': progress_1.default,
    'rich-text': rich_text_1.default,
    'text': text_1.default,
    'navigator': navigator_1.default,
    'button': button_1.default,
    'audio': audio_1.default,
    'checkbox': checkbox_1.default,
    'checkbox-group': checkbox_group_1.default,
    'form': form_1.default,
    'radio': radio_1.default,
    'radio-group': radio_group_1.default,
    'label': label_1.default,
    'video': video_1.default,
    'picker': picker_1.default,
    'modal': modal_1.default,
    'contact-button': contact_button_1.default,
};
exports.default = nodeRulesMap;
