import { ParsedTag } from './entity/parsed-tag';
import { PageOptions } from './entity/page-options';
export declare function parseWxmlFile(wxmlPath: string, options: PageOptions): string;
export interface CompType {
    name: string;
    path: string;
}
export interface WXmlElement {
    wxs: ParsedTag[];
    templates: ParsedTag[];
    imports: ParsedTag[];
    comps?: CompType[];
}
export declare function parseTemplate(wxml: string, wxmlPath?: string, options?: PageOptions): string;
export declare function parseWxml(wxml: string): any;
