"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function fixContent(node) {
    if (node.name !== 'div') {
        return;
    }
    if (node.content) {
        node.children.push({
            name: 'text',
            content: node.content,
            attributes: {},
            children: [],
            isSelfClosing: false,
            processed: true,
            needComment: false,
        });
        delete node.content;
    }
}
exports.fixContent = fixContent;
