import { ParserError } from 'css';
export declare const logOutput: string[];
export declare function copy(msg: string, loc: ParserError, path: string): void;
export declare function info(msg: string, loc?: ParserError, path?: string): void;
export declare function warn(msg: string, loc: ParserError, path: string): void;
export declare function ignore(msg: string, loc: ParserError, path: string): void;
export declare function error(msg: string, loc?: ParserError, path?: string): void;
export declare const globalStatus: {
    flex: boolean;
};
export declare function cssLogsInfo(logs: ParserError[], filePath?: string): void;
