/**
 * https://doc.quickapp.cn/features/system/media.html
 * @param params
 */
export function chooseVideo(params) {
  const o = params.success;
  params.success = data => {
    console.log(data);
    o({
      tempFilePath: data.uri,
    });
  };
  if (params.sourceType && params.sourceType === 'camera') {
    require('@system.media').takeVideo(params);
  } else {
    require('@system.media').pickVideo(params);
  }
}

/**
 * 请自己移除相应的调用api，快应用目前没有视频上下文
 * https://doc.quickapp.cn/widgets/video.html
 */
export function createVideoContext() {
}
