/**
 * see https://doc.quickapp.cn/features/system/fetch.html
 * @param params
 */
export function request(params) {
  const o = params.success;
  params.success = data => {
    let result;
    try {
      result = JSON.parse(data.data);
    } catch (e) {
      result = data.data;
    }
    o({
      data: result,
      statusCode: data.code,
      header: data.headers,
    });
  };
  require('@system.fetch').fetch(params);
}
