/**
 * https://doc.quickapp.cn/features/system/prompt.html
 * @param params
 */
export function showModal(params) {
  if (params['content']) {
    params['message'] = params['content'];
    delete params['content'];
  }
  if (params['confirmText']) {
    params.buttons = [];
    params.buttons.push(
      {
        text: params['confirmText'],
      },
    );
  }
  if (params['cancelText']) {
    params.buttons.push(
      {
        text: params['cancelText'],
      },
    );
  }

  require('@system.prompt').showDialog(params);
}
